[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'LDockTree' (#lcl)

# TLazDockPages.GetFloatingDockSiteClass

GetFloatingDockSiteClass - returns a default class of TLazDockForm, overriding the inherited value

## Declaration

Source position: ldocktree.pas line 180

`protected function TLazDockPages.GetFloatingDockSiteClass: TWinControlClass; override;`

## See also

TControl.GetFloatingDockSiteClass |  | Returns the class of the floating dock site

The latest version of this document can be found at lazarus-ccr.sourceforge.net.